# platformio home

Helper command for PlatformIO Home.

Contents

- platformio home

  - Usage

  - Description

  - Options

  - Examples

## Usage

    platformio home
    pio home

## Description

Launch PlatformIO Home Web-server.

## Options

--port

Web-server HTTP port, default is `8008`.

--host

Web-server HTTP host, default is `127.0.0.1`. You can open PIO Home for inbound connections using host `0.0.0.0`.

--no-open

Do not automatically open PIO Home in a system Web-browser.

--shutdown-timeout

Automatically shutdown server on timeout (in seconds) when no clients are connected. Default is `0` which means never auto shutdown.

## Examples

    > platformio home

      ___I_
     /\-_--\   PlatformIO Home
    /  \_-__\
    |[]| [] |  http://127.0.0.1:8008
    |__|____|_______________________

    Open PIO Home in your browser by this URL => http://127.0.0.1:8008
    PIO Home has been started. Press Ctrl+C to shutdown.